List environment tags
Retrieve all unique tags used in workflows within the specified environment. These tags can be used for filtering workflows.
Authorization
Authorization<token>API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".
In: header
Path Parameters
environmentIdRequiredstringEnvironment internal ID (MongoDB ObjectId) or identifier
Header Parameters
idempotency-keystringA header for idempotency purposes
Response Body
OK
responseRequiredarray<object>List all environments GET
This API returns a list of environments for the current organization. Each environment contains its configuration, API keys (if user has access), and metadata.
Compare resources between environments POST
Compares workflows and other resources between the source and target environments, returning detailed diff information including additions, modifications, and deletions.